Home | All Classes | Grouped Classes | Index | Search

# Class CL_ProviderFactory

Provider factory More...

Derived from: none
Derived by: none
Group: Display (Surface Providers)

#include <ClanLib/display.h>

Static Attributes:

types static | Map of the class factories for each provider type.

Operations:

load | Loads an image file from 'filename', using the provider identified by 'type'.
save | Saves the given CL_PixelBuffer to the file given by 'filename'.

Detailed description:

!group=Display/Surface Providers! !header=display.h!
Questions or comments, write to the ClanLib mailing list.